'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('./index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RenderChildren = function RenderChildren(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === undefined ? [] : _ref$children,
      preview = _ref.preview;

  return _react2.default.createElement(
    _react.Fragment,
    null,
    children.map(function (child, i) {
      var FRProps = {
        id: child,
        preview: preview
      };
      return _react2.default.createElement(_index2.default, _extends({ key: i.toString() }, FRProps));
    })
  );
};

exports.default = RenderChildren;