'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = HtmlInput;

require('antd/lib/input/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function HtmlInput(_ref) {
  var value = _ref.value,
      disabled = _ref.disabled,
      readonly = _ref.readonly,
      options = _ref.options,
      onChange = _ref.onChange;

  var handleChange = function handleChange(e) {
    var newVal = e.target.value;

    onChange(newVal && newVal.replace(/on(.*?=)/g, 'no$1'));
  };

  return _react2.default.createElement(_input2.default, _extends({
    disabled: disabled || readonly
  }, options, {
    onChange: handleChange,
    value: value && value.replace(/no(.*?=)/g, 'on$1')
  }));
}