'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = IdInput;

require('antd/lib/input/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function IdInput(_ref) {
  var onChange = _ref.onChange,
      value = _ref.value,
      disabled = _ref.disabled,
      readonly = _ref.readonly,
      options = _ref.options;

  var handleChange = function handleChange(e) {
    try {
      var newId = (0, _utils.changeKeyFromUniqueId)(value, e.target.value);
      onChange(newId);
    } catch (error) {}
  };

  return _react2.default.createElement(_input2.default, _extends({
    disabled: disabled || readonly
  }, options, {
    onChange: handleChange,
    value: (0, _utils.getKeyFromUniqueId)(value)
  }));
}