'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

exports.default = list;

require('antd/lib/button/style/css');

var _icons = require('@ant-design/icons');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function list(props) {
  if (!/^#/.test(props.schema.$id)) {
    return _react2.default.createElement(
      'div',
      { className: 'w-100' },
      props.children
    );
  }

  return _react2.default.createElement(
    'div',
    { className: 'flex flex-column' },
    _react2.default.createElement(
      'div',
      { className: 'fr-set w-100 flex flex-column ba pt4 pb2 ph2 relative b--black-10' },
      props.children,
      _react2.default.createElement(
        _button2.default,
        {
          size: 'small',
          className: 'self-end',
          type: 'dashed',
          icon: _react2.default.createElement(_icons.DeleteOutlined, null)
        },
        '\u5220\u9664'
      )
    ),
    _react2.default.createElement(
      _button2.default,
      { size: 'small', className: 'self-end', icon: _react2.default.createElement(_icons.PlusCircleOutlined, null) },
      '\u6DFB\u52A0'
    )
  );
}